/* ============================= *\

	Statistics: "Trend"

\* ============================= */
%_trend-active-item {
  &:before {
    position: absolute;
    left: 0;
    width: 100%;
    content: '';
    background: #f00;
  }

  &.winner {
    background: $color-paragraph;
    &:before {
      background: $color-hint;
    }
  }

  // define height
  @each $trend-value in (5 4 3 2 1) {
    &[data-trend$="#{$trend-value}"]:before {
      height: calc(#{$trend-value} * 10%);
    }
  }

  // negative ranks (guest)
  &[data-trend^="-"] {
    &:before {
      top: 50%;
      margin-bottom: -50%;
    }
    &:after {
      margin-top: -15px;
    }
  }

  // positiv ranks (home)
  &:not([data-trend^="-"]) {
    &:before {
      bottom: 50%;
      margin-top: -50%;
    }
    &:after {
      margin-bottom: -15px;
    }
  }

  // no ranks
  &[data-trend=""]:after {
    content: initial;
  }

  @include _respond-to(tablets, desktops) {
    &:not([data-label="0"]):after {
      content: "+" attr(data-label);
      @include _font-label('regular', $color-paragraph);
      @include _font-size($font-size-small);
    }
  }
}

%_trend-item-animation {
  opacity: 0;
  animation: _scaleY-forward .3s ease-out;
  animation-fill-mode: forwards;
  transform-origin: 50% 50%;

  // incoming animation
  @for $i from 1 through $stats-trend-item-amount {
    &:nth-child(#{$i}) {
      animation-delay: (0.05s * $i);
    }
  }
}

// =============================
.game-trend--rank {
  width: 100%;
  margin: 0;
  padding: 0;

  background: $stats-trend-background;

  h2 {
    margin-bottom: 30px;
  }

  > div {
    @include _align-flex(flex-start, flex-start, row);
  }

  ul {
    @include _reset-lists();
    position: relative;
    width: 100%;
    height: $stats-trend-height;
    margin: 0;
    @include _align-flex(stretch, flex-start, row);

    li {
      position: relative;
      flex: 1;
      @include _align-flex(stretch, flex-start);

      border-right: 1px dashed $stats-trend-graph-color;
      &:first-child {
        border-left: 1px dashed $stats-trend-graph-color;
      }

      counter-increment: list;
      &:before {
        position: absolute;
        top: -20px;
        left: 0;
        width: 100%;

        content: counter(list);
        text-align: center;
        @include _font-label('regular', $stats-trend-graph-color);
        @include _font-size($font-size-small);
      }

      @extend %_trend-item-animation;

      span {
        position: relative;
        flex: 1;
        margin-right: 1px;
        @include _align-flex(center, center, column);

        &:last-child {
          margin-right: 0;
        }
        @extend %_trend-active-item;
      }
    }
  }
}

.game-trend-label {
  flex: 0 0 5%;
  height: $stats-trend-height;
  @include _align-flex(flex-end, center, column);
  margin-right: 10px;

  @include _font-paragraph('regular', $color-paragraph);
  @include _font-size($font-size-small);
  text-align: right;

  @include _respond-to(phones) {
    display: none;
  }
}